﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;
using Stimulsoft.Report.Components;

namespace StimulsoftWpfApplication
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private List<Document> Documents = new List<Document>();        
        
        private void FillData()
        {
            Random r = new Random();

            Document doc = new Document("The title of the document");

            doc.Items = GenerateRandomStrings(5);
            doc.ComboItems = new List<ComboItem>()
            {
                new ComboItem("aaa", 1),
                new ComboItem("bbb", 2),
                new ComboItem("ccc", 3),
                new ComboItem("ddd", 4),
            };
            
            Documents.Add(doc);
        }

        private List<string> GenerateRandomStrings(int arrayLength)
        {
            Random r = new Random();
            List<string> strings = new List<string>();
                           
            for (int i = 0; i < arrayLength; i++)
            {
                strings.Add(r.Next().ToString());
            }
            return strings;
        }

        private void butDesign_Click(object sender, RoutedEventArgs e)
        {           
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");

            if (Documents.Count == 0)
                FillData();

            r.RegBusinessObject("Documents", Documents);

            r.DesignWithWpf();
        }

        private void butShow_Click(object sender, RoutedEventArgs e)
        {            
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");

            if (Documents.Count == 0)
                FillData();

            r.RegBusinessObject("Documents", Documents);
                       
            r.ShowWithWpf();
        }       
    }
}
